#include <stdbool.h>
#include <stdio.h>
#define N 7
#define FN 40

void print_bool_array(bool *x, size_t size) {
  printf("Array started with size == %zu\n", size);
  for (int i = 0; i < size; i++) {
    if (i == size - 1) {
      printf("%d\nArray ended\n", x[i]);
    } else {
      printf("%d, ", x[i]);
    }
  }
}

void print_int_array(int *x, size_t size) {
  printf("Array started with size == %zu\n", size);
  for (int i = 0; i < size; i++) {
    if (i == size - 1) {
      printf("%d\nArray ended\n", x[i]);
    } else {
      printf("%d, ", x[i]);
    }
  }
}

void create_fibonacci_numbers() {
  int fin_numbers[FN] = {1, 1};
  for (int i = 2; i < FN; i++) {
    fin_numbers[i] = fin_numbers[i - 1] + fin_numbers[i - 2];
  }
  print_int_array(fin_numbers, FN);
}

int main() {
  bool weekend[N] = {[0] = true, [N - 1] = true};
  print_bool_array(weekend, N);
  create_fibonacci_numbers();
}
